What you can do with the USB setting

Introducing USB

When you connect an USB device to your computer, you can start a specific application or document. You can specify the application or document based on the device which you connected.

Notes

  • When you want to use the USB launcher function, check Enable USB launcher function in the Advanced Setting tab.
  • Depending on your system settings, when the OpenMG Jukebox is installed to your computer, the OpenMG Jukebox may start prior to other application assigened by the VAIO Action Setup when you connect the portable player via the USB such as the Portable Memory Stick Player.
  • When you use the Windows 2000, you cannot control the USB devices with the VAIO Action Setup.


Device Setup

Assigning applications to a USB device ID

Since each USB device has a unique ID, you can assign a different application to each device.

To assign an application or document to a device ID:

  1. Click the USB button in the VAIO Action Setup window.
  2. Click the Device Setting tab.
  3. Select the device to which you want to assign the application or document.
  4. Click Modify.
  5. Follow the Select Application wizard instructions.
  6. Click OK to accept your changes.

Notes

  • Since the device name is independent of the device ID, you can change the device name. Changing the name does not affect the application settings. To change the device name, click Modify Device Name, follow the instructions on the screen, and then click OK to apply the change.
  • After you assign an application to a device, you have to check Enable USB launcher function in the Advanced Setting tab to activate the USB launcher function.


Advanced Setting

Changing advanced USB settings

To change advanced USB settings:

  1. Click the USB button in the VAIO Action Setup window.
  2. Click the Advanced Setting tab.
  3. Modify any of the following settings:
    • To enable the USB launcher, check Enable USB launcher function.
    • To disable the USB launcher, uncheck Enable USB launcher function.
    • To assign an application or document to an USB device the first time you use it, check Open registration screen when connecting to a device for the first time.
    • To define how long the startup message displays before USB starts the specified application, enter the number of seconds you want the message displays in the Length of time to display a message before launching field.
  4. Click Apply to accept your changes.

Notes

  • Closing the VAIO Action Setup window before clicking Apply cancels your changes.
  • After you assign an application to a device ID, you have to check Enable USB launcher function to activate the USB launcher function.


Specifying the desired software

Using the Select Application wizard

You can use the Select Application wizard to specify which application or document your computer starts automatically. This process is also referred to as "registering" the application or document.

To use the Select Application wizard:

  1. Click a task (such as Recommended Setting or E-Mail) on the left side of the screen, or click Drag & Drop to drag and drop a document from the Windows desktop.
  2. Click the desired application or document in the tree display on the right side of the screen, or if you selected Drag & Drop in step 1, drag the desired document and release the button.
  3. Click Next.

    4. Notes
    If you selected E-Mail in step 1, select the Preset Script settings and click Next.

    • To specify a dialup network, check Dial-up connection and then select a connection from the list.
    • If you want your computer to go into an energy-saving mode after the preset script runs, check Set status after processing, and then select the energy mode.
    • If your computer has an information indicator, select a lamp status setting to indicate that a Preset Script has finished running, and then click Next.
  4. Select optional startup options, and then click Next.
    • To specify the working directory for the application, specify the desired folder.
    • To specify a command line option, enter it in the Command line option field.
  5. If you want your computer to go into an energy-saving mode after a Preset Script runs, check Set a power status for the computer to enter after Timer execution, select the mode, and then click Next.
  6. On the Application List tab, enter a name for your setup and any other relevant information.
  7. Click Finish to close the wizard close and register the application or document.

    8. Note
    You can confirm registration of the application or document on the Application List tab.